{
  "schema_version": "1.4.0",
  "id": "GHSA-fphp-jmfp-4vj9",
  "modified": "2022-05-14T01:27:55Z",
  "published": "2022-05-14T01:27:55Z",
  "aliases": [
    "CVE-2016-7568"
  ],
  "details": "Integer overflow in the gdImageWebpCtx function in gd_webp.c in the GD Graphics Library (aka libgd) through 2.2.3, as used in PHP through 7.0.11, allows remote attackers to cause a denial of service (heap-based buffer overflow) or possibly have unspecified other impact via crafted imagewebp and imagedestroy calls.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2016-7568"
    },
    {
      "type": "WEB",
      "url": "https://github.com/libgd/libgd/issues/308"
    },
    {
      "type": "WEB",
      "url": "https://github.com/libgd/libgd/commit/40bec0f38f50e8510f5bb71a82f516d46facde03"
    },
    {
      "type": "WEB",
      "url": "https://github.com/php/php-src/commit/c18263e0e0769faee96a5d0ee04b750c442783c6"
    },
    {
      "type": "WEB",
      "url": "https://bugs.php.net/bug.php?id=73003"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201612-09"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2016/dsa-3693"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/93184"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "CRITICAL",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2016-09-28T20:59:00Z"
  }
}